<?php
class ModuleFooter extends Controller {  
	function fetch() {
		$config   =& $this->locator->get('config');
		$language =& $this->locator->get('language');
		$user     =& $this->locator->get('user');
		
		if ($config->get('footer_status')) {
			$language->load('extension/module/footer.php');
	
			$view = $this->locator->create('template');
			
			$view->set('text_support', $language->get('text_support'));
			
			$view->set('text_version', $language->get('text_version'));
			
			if ($user->isLogged()) {
				$view->set('version', $config->get('version'));
			}
			
    		return $view->fetch('module/footer.tpl');
  		}
	}
}
?>