<?php
// Heading
$_['heading_title']        = 'Products';
$_['heading_description']  = 'You can edit your products here.';

// Text
$_['text_message']         = 'Success: You have updated products!';
$_['text_status_message']  = 'Success: You have toggled the product status!';
$_['text_clone_message']   = 'Success: You have cloned selected products!';
$_['text_delete_message']  = 'Success: You have deleted selected products!';
$_['text_plus']            = '+';
$_['text_minus']           = '-';
$_['text_clone_sfx']       = '(%s)';
$_['text_or']       	   = '- OR -';
$_['text_related_cross']   = 'Cross Reference Related Products';

// Column
$_['column_id']            = 'ID';
$_['column_name']          = 'Product Name';
$_['column_model']         = 'Model';
$_['column_price']         = 'Price';
$_['column_weight']        = 'Weight';
$_['column_quantity']      = 'Qty';
$_['column_image']         = 'Image';
$_['column_sort_order']    = 'Sort Order';
$_['column_status']        = 'Status';
$_['column_action']        = 'Action';

// Entry
$_['entry_name']           = 'Product Name:';
$_['entry_description']    = 'Description:';
$_['entry_model']          = 'Model:';
$_['entry_manufacturer']   = 'Manufacturer:';
$_['entry_shipping']       = 'Requires Shipping:';
$_['entry_date_available'] = 'Date Available:';
$_['entry_quantity']       = 'Quantity:';
$_['entry_discount']       = 'Discount:';
$_['entry_status']         = 'Status:';
$_['entry_sort_order']     = 'Sort Order:';
$_['entry_tax_class']      = 'Tax Class:';
$_['entry_price']          = 'Price:';
$_['entry_weight_class']   = 'Weight Class:';
$_['entry_weight']         = 'Weight:';
$_['entry_prefix']         = 'Prefix:';
$_['entry_image']          = 'Select Image:';
$_['entry_images']         = 'Additional Images:';
$_['entry_download']       = 'Downloads:';
$_['entry_category']       = 'Categories:';
$_['entry_min_qty']        = 'Minimum Order Quantity:';
$_['entry_upload']         = 'Upload Image:';
$_['entry_meta_keys']      = 'Meta Keywords:';
$_['entry_meta_description'] = 'Meta Description:';
$_['entry_related'] 	   = 'Related Products:';

// Button
$_['button_add']           = 'Add';
$_['button_remove']        = 'Remove';
$_['button_options']       = 'Product Options';
$_['button_status']        = 'Toggle Status';

// Error
$_['error_permission']     = 'Warning: You do not have permission to modify products';
$_['error_name']           = '* Product Name must be between 1 and 64 characters!';
$_['error_date_available'] = '* Date Available is not valid!';
$_['error_upload']        = '* File could not be uploaded!';
$_['error_filename']      = '* Filename must be between 1 and 128 characters!';
$_['error_filetype']      = '* Invalid file type!';
?>
