<?php
// Heading
$_['heading_title']						= 'Settings';
$_['heading_description']				= 'You can edit your shop information and settings here.';

// Text
$_['text_message']						= 'Success: You have successfully saved your settings!';

// Entry
$_['entry_store']						= 'Store Name:';
$_['entry_owner']						= 'Store Owner:';
$_['entry_address']						= 'Address:';
$_['entry_telephone']					= 'Telephone:';
$_['entry_fax']							= 'Fax:';
$_['entry_template']					= 'Template:';
$_['entry_url_alias']					= 'Use URL Alias:';
$_['entry_parse_time']					= 'Display Parse Time:';
$_['entry_ssl']							= 'Use SSL:';
$_['entry_rows_per_page']				= 'Rows Per Page:';
$_['entry_country']						= 'Country:';
$_['entry_zone']						= 'Region / State:';
$_['entry_language']					= 'Language:';
$_['entry_currency']					= 'Currency:';
$_['entry_weight']						= 'Weight:';
$_['entry_tax']							= 'Display Prices with Tax:';
$_['entry_order_status']				= 'Order Status:';
$_['entry_stock_check']					= 'Check Stock:';
$_['entry_stock_checkout']				= 'Allow Checkout:';
$_['entry_stock_subtract']				= 'Subtract Stock:';
$_['entry_vat']							= 'VAT Registration ID:';
$_['entry_account']						= 'Account Terms:';
$_['entry_checkout']					= 'Checkout Terms:';
$_['entry_download']					= 'Allow Download:';
$_['entry_download_status']				= 'Download Status:';
$_['entry_email']						= 'E-Mail:';
$_['entry_email_send']					= 'Send E-Mails:';
$_['entry_email_send_order']			= 'Send Order Email to Store Owner:';
$_['entry_email_send_account_create']	= 'Send Account Create Email to Store Owner:';
$_['entry_cache_query']					= 'Database Caching:';
$_['entry_compress_output']				= 'Use Compression:';
$_['entry_compress_level']				= 'Compression Level:';
$_['entry_image_resize']				= 'Resize Images:';
$_['entry_image_misc']					= 'Misc:';
$_['entry_image_product']				= 'Product Page:';
$_['entry_image_category']				= 'Category Page:';
$_['entry_image_images']				= 'Extra Images:';
$_['entry_image_related']				= 'Related Products';
$_['entry_image_width']					= 'W:';
$_['entry_image_height']				= 'H:';
$_['entry_maintenance']					= 'Site Maintenance Mode:';
$_['entry_ajaxadd']						= 'Use Ajax Add to Cart';
$_['entry_config_session_expire']		= 'Session Expire (>3600 secs):';
$_['entry_email_authentication']		= 'Use Authentication:';
$_['entry_meta_keys']      				= 'Meta Keywords:';
$_['entry_meta_description'] 			= 'Meta Description:';

// Error
$_['error_permission']					= 'Warning: You do not have permission to modify settings';
$_['error_store']						= '* Store Name must be between 1 and 64 characters!';
$_['error_owner']						= '* Store Owner must be between 1 and 64 characters!';
$_['error_email']						= '* Email must be between 1 and 64 characters!';
?>
