<div class="task">
<?php include ('buttons.tpl'); ?>
</div>
<?php if ($error) { ?>
<div class="warning"><?php echo $error; ?></div>
<?php } ?>
<h2><?php echo $heading_title; ?></h2>
<div class="description"><?php echo $heading_description; ?></div>
<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
  <div id="tabs">
	<ul>
	  <li><a href="#tabs-1"><?php echo $tab_general; ?></a></li>
	</ul>
	<div id="tabs-1">
      <table>
        <tr>
          <td width="185"><span class="required">*</span> <?php echo $entry_author; ?></td>
          <td><input type="text" name="author" value="<?php echo $author?>" />
            <?php if ($error_author) { ?>
            <span class="error"><?php echo $error_author; ?></span>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_product; ?></td>
          <td><select name="product_id">
              <?php foreach ($products as $product) { ?>
              <?php if ($product['product_id'] == $product_id) { ?>
              <option value="<?php echo $product['product_id']; ?>" selected="selected"><?php echo $product['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $product['product_id']; ?>"><?php echo $product['name']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td valign="top"><span class="required">*</span> <?php echo $entry_text; ?></td>
          <td><textarea name="text" cols="60" rows="8"><?php echo $text; ?></textarea>
            <?php if ($error_text) { ?>
            <span class="error"><?php echo $error_text; ?></span>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_rating; ?></td>
          <td><b class="rating"><?php echo $entry_bad; ?></b>&nbsp;
            <?php if (@$rating == 1) { ?>
            <input type="radio" name="rating" value="1" checked="checked" />
            <?php } else { ?>
            <input type="radio" name="rating" value="1" />
            <?php } ?>
            &nbsp;
            <?php if (@$rating == 2) { ?>
            <input type="radio" name="rating" value="2" checked="checked" />
            <?php } else { ?>
            <input type="radio" name="rating" value="2" />
            <?php } ?>
            &nbsp;
            <?php if (@$rating == 3) { ?>
            <input type="radio" name="rating" value="3" checked="checked" />
            <?php } else { ?>
            <input type="radio" name="rating" value="3" />
            <?php } ?>
            &nbsp;
            <?php if (@$rating == 4) { ?>
            <input type="radio" name="rating" value="4" checked="checked" />
            <?php } else { ?>
            <input type="radio" name="rating" value="4" />
            <?php } ?>
            &nbsp;
            <?php if (@$rating == 5) { ?>
            <input type="radio" name="rating" value="5" checked="checked" />
            <?php } else { ?>
            <input type="radio" name="rating" value="5" />
            <?php } ?>
            &nbsp; <b class="rating"><?php echo $entry_good; ?></b></td>
        </tr>
        <tr>
          <td><?php echo $entry_status; ?></td>
          <td><?php if ($status == 1) { ?>
            <input type="radio" name="status" value="1" checked="checked" />
            <?php echo $text_enabled; ?>
            <input type="radio" name="status" value="0" />
            <?php echo $text_disabled; ?>
            <?php } else { ?>
            <input type="radio" name="status" value="1" />
            <?php echo $text_enabled; ?>
            <input type="radio" name="status" value="0" checked="checked" />
            <?php echo $text_disabled; ?>
            <?php } ?></td>
        </tr>
      </table>
    </div>
  </div>
  <script type="text/javascript"><!--
	$(function() {
		$("#tabs").tabs();
	});
  //--></script>
</form>
