<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="<?php echo $direction; ?>" lang="<?php echo $code; ?>">
<head>
<title><?php echo $title; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>" />
<base href="<?php echo $base; ?>" />

<?php $tpl->headInject('<link rel="shortcut icon" href="catalog/template/core/image/favicon.ico" />'); ?>
<?php $tpl->headInject('<link rel="stylesheet" type="text/css" href="javascript/jquery/jquery-ui/css/smoothness/jquery-ui-1.7.1.custom.css" />'); ?>
<?php //$tpl->headInject('<link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7/themes/start/ui.all.css" />'); ?>
<?php //$tpl->headInject('<link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7/themes/redmond/ui.all.css" />'); ?>
<?php //$tpl->headInject('<link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7/themes/ui-lightness/ui.all.css" />'); ?>
<?php //$tpl->headInject('<link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7/themes/start/ui.all.css" />'); ?>
<?php //$tpl->headInject('<link rel="stylesheet" type="text/css" href="javascript/jquery/jquery-ui/css/start/jquery-ui-1.7.2.custom.css" />'); ?>

<?php $tpl->addCSS('css/default.css'); ?>

<?php foreach(@$this->css as $css) { ?>
<link rel="<?php echo $css['rel']; ?>" type="text/css" href="<?php echo str_replace('\\', '/',$css['href']); ?>" media="<?php echo $css['media']; ?>" />
<?php } ?>

<?php foreach(@$this->head as $head) { ?>
<?php echo $head; ?>
<?php } ?>

<?php $tpl->addJS('jquery/jquery.js'); ?>
<?php $tpl->addJS('jquery/jquery-ui/jquery-ui.js'); ?>

<?php foreach(@$this->jscript as $jscript) { ?>
<script type="text/javascript" src="<?php echo $jscript['src']; ?>"></script>
<?php } ?>

</head>

<body onload="if (document.form_login && document.form_login.username) document.form_login.username.focus()">
<noscript><div class="noscript"><?php echo $noscript; ?></div></noscript>
<?php if (isset($header)) { ?>
<div id="header"><?php echo $header; ?>
<?php } ?>
<?php if (isset($language)) { ?>
<?php echo $language; ?>
<?php } ?>
</div>
<?php if (isset($menu)) { ?>
<?php echo $menu; ?>
<?php } ?>
<?php if (isset($topmenu)) { ?>
<?php echo $topmenu; ?>
<?php } ?>
<?php if (isset($content)) { ?>
<?php echo $content; ?>
<?php } ?>
<?php if (isset($footer)) { ?>
<div id="footer"><?php echo $footer; ?></div>
<?php } ?>
<?php if (isset($time)) { ?>
<div id="time"><?php echo $time; ?></div>
<?php } ?>
</body>
</html>