<?php $tpl->addCSS('css/account_download.css'); ?>

<h2><?php echo $heading_title; ?></h2>
<div class="results"> 
  <div class="left"><?php echo $text_results; ?></div>
  <div class="right pagination">
  <span id="entry_page"><?php echo $entry_page; ?></span>
  <?php foreach ($pages as $p) { ?>
  <a href="<?php echo $p['href']; ?>"<?php if ($p['value'] == $page) { ?> id="current"<?php } ?>><?php echo $p['value']; ?></a>
  <?php } ?>
  </div>
</div>
<div id="download">
  <?php foreach ($downloads as $download) { ?>
  <div class="a">
    <div class="b"><b><?php echo $text_order; ?></b> <?php echo $download['order_id']; ?></div>
    <div class="c"><b><?php echo $text_size; ?></b> <?php echo $download['size']; ?></div>
  </div>
  <div class="d">
    <table>
      <tr>
        <td width="40%"><?php echo $text_name; ?> <?php echo $download['name']; ?></td>
        <td width="50%"><?php echo $text_remaining; ?> <?php echo $download['remaining']; ?></td>
        <td rowspan="2"><a href="<?php echo $download['href']; ?>"><img src="<?php echo $tpl->getImage('image/download.png'); ?>" class="png" /></a></td>
      </tr>
      <tr>
        <td><?php echo $text_date_added; ?> <?php echo $download['date_added']; ?></td>
        <td></td>
      </tr>
    </table>
  </div>
  <?php } ?>
</div>
<div class="results"> 
  <div class="left"><?php echo $text_results; ?></div>
  <div class="right pagination">
  <span id="entry_page"><?php echo $entry_page; ?></span>
  <?php foreach ($pages as $p) { ?>
  <a href="<?php echo $p['href']; ?>"<?php if ($p['value'] == $page) { ?> id="current"<?php } ?>><?php echo $p['value']; ?></a>
  <?php } ?>
  </div>
</div>
<div class="buttons">
  <table>
    <tr>
      <td align="right"><input class="button_continue" type="button" value="<?php echo $button_continue; ?>" onclick="location='<?php echo $continue; ?>'" /></td>
    </tr>
  </table>
</div>
