<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="<?php echo $direction; ?>" lang="<?php echo $code; ?>">
<head> 
<title><?php echo $title; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>" />
<meta name="Keywords" content="<?php echo (isset($meta_keys))?$meta_keys:@$meta_keys_store ?>" />
<meta name="Description" content="<?php echo (isset($meta_description))?$meta_description:@$meta_description_store ?>" />
<base href="<?php echo $base; ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php echo $title; ?>" href="rss.php" />
<?php $tpl->headInject('<link rel="shortcut icon" href="catalog/template/core/image/favicon.ico" />'); ?>

<?php $tpl->addCSS('css/style_cc.css'); ?>
<?php $tpl->addCSS('css/style.css'); ?>

<?php foreach(@$this->css as $css) { ?>
<link rel="<?php echo $css['rel']; ?>" type="text/css" href="<?php echo str_replace('\\', '/',$css['href']); ?>" media="<?php echo $css['media']; ?>" />
<?php } ?>

<?php foreach(@$this->head as $head) { ?>
<?php echo $head; ?>
<?php } ?>

<?php foreach(@$this->jscript as $jscript) { ?>
<script type="text/javascript" src="<?php echo $jscript['src']; ?>"></script>
<?php } ?>
</head>

<body>

<noscript><div class="noscript"><?php echo $noscript; ?></div></noscript>

<?php if (isset($header)) { ?>
<div id="header">
  <?php echo $header; ?>
  <div class="b">
  <?php if (isset($language)) { ?>
  <?php echo $language; ?>
  <?php } ?>
  <?php if (isset($currency)) { ?>
  <?php echo $currency; ?>
  <?php } ?>
  <?php if (isset($search)) { ?>
  <?php echo $search; ?>
  <?php } ?>
  </div>
</div>
<?php } ?>

<?php if (isset($navbar)) { ?>
<div id="bar"><?php echo $navbar; ?></div>
<?php } ?>

<div id="container" class="clearfix">
  <div id="page-bgtop">
  <?php if (isset($content)) { ?>
  <div id="content"><?php echo $content; ?></div>
  <?php } ?>
  
  <div id="column">
    <ul>
    <?php if (isset($cart)) { ?>
    <?php echo $cart; ?>
    <?php } ?>
    <?php if (isset($category)) { ?>
    <?php echo $category; ?>
    <?php } ?>
    <?php if (isset($best)) { ?>
    <?php echo $best; ?>
    <?php } ?>
    <?php if (isset($review)) { ?>
    <?php echo $review; ?>
    <?php } ?>
    <?php if (isset($information)) { ?>
    <?php echo $information; ?>
    <?php } ?>
    </ul>
  </div>
  </div>
</div>



<?php if (isset($footer)) { ?>
<div id="footer"><?php echo $footer; ?></div>
<?php } ?>

<?php if (isset($time)) { ?>
<div id="time"><?php echo $time; ?></div>
<?php } ?>
</body>
</html>