<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="<?php echo $direction; ?>" lang="<?php echo $code; ?>">
<head> 
<title><?php echo $title; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>" />
<meta name="Keywords" content="<?php echo (isset($meta_keys))?$meta_keys:@$meta_keys_store ?>" />
<meta name="Description" content="<?php echo (isset($meta_description))?$meta_description:@$meta_description_store ?>" />
<base href="<?php echo $base; ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php echo $title; ?>" href="rss.php" />
<link rel="shortcut icon" href="catalog/template/<?php echo $this->directory; ?>/image/favicon.ico" />

<?php $tpl->headInject('<link rel="shortcut icon" href="catalog/template/core/image/favicon.ico" />'); ?>

<?php $tpl->addCSS('css/style_cc.css'); ?>

<?php foreach(@$this->css as $css) { ?>
<link rel="<?php echo $css['rel']; ?>" type="text/css" href="<?php echo str_replace('\\', '/',$css['href']); ?>" media="<?php echo $css['media']; ?>" />
<?php } ?>

<?php foreach(@$this->head as $head) { ?>
<?php echo $head; ?>
<?php } ?>

<?php foreach(@$this->jscript as $jscript) { ?>
<script type="text/javascript" src="<?php echo $jscript['src']; ?>"></script>
<?php } ?>

</head>
<body>
<h1><a href="./"><?php echo $title; ?></a></h1>
<div id="container">
  <?php if (isset($header)) { ?>
  <div id="header"><div class="a"></div></div>
  <?php } ?>
  <div id="content">
  <?php if (isset($content)) echo $content; ?>
  </div>
  <?php if (isset($footer)) { ?>
  <div id="footer"><?php echo $footer; ?></div>
  <?php } ?>
</div>
</body>
</html>