<?php
class Config {
	var $data = array();
		    
	function set($key, $value) {
    	$this->data[$key] = $value;
  	}

  	function get($key) {
    	$args = func_get_args();
 
    	if (count($args) > 1) {
      		return vsprintf($this->get(array_shift($args)), $args);
    	} else {
      		return (isset($this->data[$key]) ? $this->data[$key] : NULL);
    	}
  	}
  	
	function has($key) {
    	return isset($this->data[$key]);
  	}
	    
  	function load($filename) {
		$file = DIR_CONFIG . $filename;
		
    	if (file_exists($file)) { 
	  		$cfg = array();
	  
	  		include($file);
	  
	  		$this->data = array_merge($this->data, $cfg);
		}
  	}
}
?>