<div class="task">
<?php include ('buttons.tpl'); ?>
</div>
<?php if ($error) { ?>
<div class="warning"><?php echo $error; ?></div>
<?php } ?>
<h2><?php echo $heading_title; ?></h2>
<div class="description"><?php echo $heading_description; ?></div>
<script type="text/javascript" src="javascript/fckeditor/fckeditor.js"></script>
<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
  <div id="tabs">
	<ul>
	  <li><a href="#tabs-1"><?php echo $tab_general; ?></a></li>
	  <li><a href="#tabs-2"><?php echo $tab_data; ?></a></li>
	</ul>
	<div id="tabs-1">
      <?php foreach ($informations as $information) { ?>
      <fieldset>
        <legend><?php echo $information['language']; ?></legend>
        <table>
          <tr>
            <td width="185"><span class="required">*</span> <?php echo $entry_title; ?></td>
            <td><input name="language[<?php echo $information['language_id']; ?>][title]" value="<?php echo $information['title']; ?>" />
              <?php if ($error_title) { ?>
              <span class="error"><?php echo $error_title; ?></span>
              <?php } ?></td>
          </tr>
          <tr>
            <td valign="top"><span class="required">*</span> <?php echo $entry_description; ?></td>
            <td><textarea name="language[<?php echo $information['language_id']; ?>][description]" id="description<?php echo $information['language_id']; ?>" class="editor"><?php echo $information['description']; ?></textarea>
              <?php if ($error_description) { ?>
              <span class="error"><?php echo $error_description; ?></span>
              <?php } ?></td>
          </tr>
        </table>
      </fieldset>
      <?php } ?>
    </div>
    <div id="tabs-2">
      <table>
        <tr>
          <td width="185"><?php echo $entry_sort_order; ?></td>
          <td><input name="sort_order" value="<?php echo $sort_order; ?>" size="1" /></td>
        </tr>
      </table>
    </div>
  </div>
</form>

<script type="text/javascript"><!--
	$(function() {
		$("#tabs").tabs();
	});
//--></script>

<script type="text/javascript"><!--
	$('#image_preview').load('index.php?controller=image&action=view&image_id='+$('#image_id').val());
	$("#image_preview_more").click(function(){
	var val = parseInt($('#image_id').val())+1;
	$('#image_id').val(val);
	$('#image_preview').load('index.php?controller=image&action=view&image_id='+$('#image_id').val());
	});
	$("#image_preview_less").click(function(){
	var val = parseInt($('#image_id').val())-1;
	$('#image_id').val(val);
	$('#image_preview').load('index.php?controller=image&action=view&image_id='+$('#image_id').val());
	});
	$("#image_id").click(function(){
	$('#image_preview').load('index.php?controller=image&action=view&image_id='+$(this).val());
	});
	$("#image_id option").hover(function(){
	$('#image_preview').load('index.php?controller=image&action=view&image_id='+$(this).val());
	});
//--></script>

<?php if (isset($editor)) { echo $editor; } ?>
