<div class="task">
<?php include ('buttons.tpl'); ?>
</div>
<?php if ($error) { ?>
<div class="warning"><?php echo $error; ?></div>
<?php } ?>
<?php if ($message) { ?>
<div class="message"><?php echo $message; ?></div>
<?php } ?>
<h2><?php echo $heading_title; ?></h2>
<div class="description"><?php echo $heading_description; ?></div>
<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
  <div id="tabs">
	<ul>
	  <li><a href="#tabs-1"><?php echo $tab_shop; ?></a></li>
	  <li><a href="#tabs-2"><?php echo $tab_admin; ?></a></li>
	  <li><a href="#tabs-3"><?php echo $tab_local; ?></a></li>
	  <li><a href="#tabs-4"><?php echo $tab_stock; ?></a></li>
	  <li><a href="#tabs-5"><?php echo $tab_option; ?></a></li>
	  <li><a href="#tabs-6"><?php echo $tab_mail; ?></a></li>
	  <li><a href="#tabs-7"><?php echo $tab_cache; ?></a></li>
	  <li><a href="#tabs-8"><?php echo $tab_image; ?></a></li>
	  <li><a href="#tabs-9"><?php echo $tab_download; ?></a></li>
	  <li><a href="#tabs-10"><?php echo $tab_meta; ?></a></li>
	</ul>
	<div id="tabs-1">
  
      <table>
        <tr>
          <td width="185"><span class="required">*</span> <?php echo $entry_store; ?></td>
          <td><input type="text" name="global_config_store" size="25" value="<?php echo $global_config_store; ?>" />
            <?php if ($error_store) { ?>
            <span class="error"><?php echo $error_store; ?></span>
            <?php } ?></td>
        </tr>
        <tr>
          <td><span class="required">*</span> <?php echo $entry_owner; ?></td>
          <td><input type="text" name="global_config_owner" size="25" value="<?php echo $global_config_owner; ?>" />
            <?php if ($error_owner) { ?>
            <span class="error"><?php echo $error_owner; ?></span>
            <?php } ?></td>
        </tr>
        <tr>
          <td width="185"><span class="required">*</span> <?php echo $entry_email; ?></td>
          <td><input type="text" name="global_config_email" size="25" value="<?php echo $global_config_email; ?>" />
          <?php if ($error_email) { ?>
            <span class="error"><?php echo $error_email; ?></span>
            <?php } ?></td>
        </tr>
        <tr>
          <td valign="top"><?php echo $entry_address; ?></td>
          <td><textarea name="global_config_address" cols="40" rows="5"><?php echo $global_config_address; ?></textarea>
            <?php if ($error_address) { ?>
            <span class="error"><?php echo $error_address; ?></span>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_telephone; ?></td>
          <td><input type="text" name="global_config_telephone" value="<?php echo $global_config_telephone; ?>" />
            <?php if ($error_telephone) { ?>
            <span class="error"><?php echo $error_telephone; ?></span>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_fax; ?></td>
          <td><input type="text" name="global_config_fax" value="<?php echo $global_config_fax; ?>" /></td>
        </tr>
        <tr>
          <td><?php echo $entry_template; ?></td>
          <td><select name="catalog_config_template">
              <?php foreach ($catalog_templates as $catalog_templates) { ?>
              <?php if ($catalog_templates == $catalog_config_template) { ?>
              <option value="<?php echo $catalog_templates; ?>" selected="selected"><?php echo $catalog_templates; ?></option>
              <?php } else { ?>
              <option value="<?php echo $catalog_templates; ?>"><?php echo $catalog_templates; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_rows_per_page; ?></td>
          <td><input type="text" name="catalog_config_max_rows" value="<?php echo $catalog_config_max_rows; ?>" size="2" /></td>
        </tr>
        <tr>
          <td><?php echo $entry_ajaxadd; ?></td>
          <td>
            <input type="radio" name="catalog_config_ajaxadd" value="1"<?php echo ($catalog_config_ajaxadd)?' checked="checked"':''?>>
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_ajaxadd" value="0"<?php echo (!$catalog_config_ajaxadd)?' checked="checked"':''?>>
            <?php echo $text_no; ?>
            </td>
        </tr>
        <tr>
          <td><?php echo $entry_maintenance; ?></td>
          <td>
            <input type="radio" name="global_config_maintenance" value="1"<?php echo ($global_config_maintenance)?' checked="checked"':''?>>
            <?php echo $text_yes; ?>
            <input type="radio" name="global_config_maintenance" value="0"<?php echo (!$global_config_maintenance)?' checked="checked"':''?>>
            <?php echo $text_no; ?>
            </td>
        </tr>
        <tr>
          <td><?php echo $entry_url_alias; ?></td>
          <td><?php if ($catalog_config_url_alias) { ?>
            <input type="radio" name="catalog_config_url_alias" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_url_alias" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="catalog_config_url_alias" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_url_alias" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_parse_time; ?></td>
          <td><?php if ($catalog_config_parse_time) { ?>
            <input type="radio" name="catalog_config_parse_time" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_parse_time" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="catalog_config_parse_time" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_parse_time" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_ssl; ?></td>
          <td><?php if ($catalog_config_ssl) { ?>
            <input type="radio" name="catalog_config_ssl" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_ssl" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="catalog_config_ssl" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_ssl" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
      </table>
    </div>
    <div id="tabs-2">  
      <table>
        <tr>
          <td width="185"><?php echo $entry_template; ?></td>
          <td><select name="admin_config_template">
              <?php foreach ($admin_templates as $admin_templates) { ?>
              <?php if ($admin_templates == $admin_config_template) { ?>
              <option value="<?php echo $admin_templates; ?>" selected="selected"><?php echo $admin_templates; ?></option>
              <?php } else { ?>
              <option value="<?php echo $admin_templates; ?>"><?php echo $admin_templates; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_rows_per_page; ?></td>
          <td><input type="text" name="admin_config_max_rows" value="<?php echo $admin_config_max_rows; ?>" size="2" /></td>
        </tr>
        <tr>
          <td><?php echo $entry_parse_time; ?></td>
          <td><?php if ($admin_config_parse_time) { ?>
            <input type="radio" name="admin_config_parse_time" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="admin_config_parse_time" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="admin_config_parse_time" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="admin_config_parse_time" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_ssl; ?></td>
          <td><?php if ($admin_config_ssl) { ?>
            <input type="radio" name="admin_config_ssl" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="admin_config_ssl" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="admin_config_ssl" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="admin_config_ssl" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_language; ?></td>
          <td><select name="admin_config_language">
              <?php foreach ($languages as $language) { ?>
              <?php if ($language['code'] == $admin_config_language) { ?>
              <option value="<?php echo $language['code']; ?>" selected="selected"><?php echo $language['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $language['code']; ?>"><?php echo $language['name']; ?></option>
              <?php } ?>
              <?php } ?>
            </select>
          </td>
        </tr>
      </table>
    </div>
    <div id="tabs-3">
      <table>
        <tr>
          <td width="185"><?php echo $entry_country; ?></td>
          <td><select name="global_config_country_id" onchange="$('#zone').load('index.php?controller=setting&action=zone&country_id='+this.value+'&zone_id=<?php echo $global_config_zone_id; ?>');">
              <?php foreach ($countries as $country) { ?>
              <?php if ($country['country_id'] == $global_config_country_id) { ?>
              <option value="<?php echo $country['country_id']; ?>" selected="selected"><?php echo $country['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $country['country_id']; ?>"><?php echo $country['name']; ?></option>
              <?php } ?>
              <?php } ?>
            </select>
          </td>
        </tr>
        <tr>
          <td><?php echo $entry_zone; ?></td>
          <td id="zone"><select name="global_config_zone_id">
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_language; ?></td>
          <td><select name="catalog_config_language">
              <?php foreach ($languages as $language) { ?>
              <?php if ($language['code'] == $catalog_config_language) { ?>
              <option value="<?php echo $language['code']; ?>" selected="selected"><?php echo $language['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $language['code']; ?>"><?php echo $language['name']; ?></option>
              <?php } ?>
              <?php } ?>
            </select>
          </td>
        </tr>
        <tr>
          <td><?php echo $entry_currency; ?></td>
          <td><select name="global_config_currency">
              <?php foreach ($currencies as $currencies) { ?>
              <?php if ($currencies['code'] == $global_config_currency) { ?>
              <option value="<?php echo $currencies['code']; ?>" selected="selected"><?php echo $currencies['title']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $currencies['code']; ?>"><?php echo $currencies['title']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_weight; ?></td>
          <td><select name="global_config_weight_class_id">
              <?php foreach ($weight_classes as $weight_class) { ?>
              <?php if ($weight_class['weight_class_id'] == $global_config_weight_class_id) { ?>
              <option value="<?php echo $weight_class['weight_class_id']; ?>" selected="selected"><?php echo $weight_class['title']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $weight_class['weight_class_id']; ?>"><?php echo $weight_class['title']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_tax; ?></td>
          <td><?php if ($global_config_tax) { ?>
            <input type="radio" name="global_config_tax" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="global_config_tax" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="global_config_tax" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="global_config_tax" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_order_status; ?></td>
          <td><select name="global_config_order_status_id">
              <?php foreach ($order_statuses as $order_status) { ?>
              <?php if ($order_status['order_status_id'] == $global_config_order_status_id) { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
      </table>
    </div>
    <div id="tabs-4">
      <table>
        <tr>
          <td width="185"><?php echo $entry_stock_check; ?></td>
          <td><?php if ($catalog_config_stock_check) { ?>
            <input type="radio" name="catalog_config_stock_check" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_stock_check" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="catalog_config_stock_check" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_stock_check" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_stock_checkout; ?></td>
          <td><?php if ($catalog_config_stock_checkout) { ?>
            <input type="radio" name="catalog_config_stock_checkout" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_stock_checkout" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="catalog_config_stock_checkout" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_stock_checkout" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
        <tr>
          <td width="185"><?php echo $entry_stock_subtract; ?></td>
          <td><?php if ($catalog_config_stock_subtract) { ?>
            <input type="radio" name="catalog_config_stock_subtract" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_stock_subtract" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="catalog_config_stock_subtract" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_stock_subtract" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
      </table>
    </div>
    <div id="tabs-5">
      <table>
        <tr>
          <td width="185"><?php echo $entry_vat; ?></td>
          <td><input type="text" name="catalog_config_vat" value="<?php echo $catalog_config_vat; ?>" /></td>
        </tr>
        <tr>
          <td><?php echo $entry_account; ?></td>
          <td><select name="catalog_config_account_id">
              <option value="0"><?php echo $text_none; ?></option>
              <?php foreach ($informations as $information) { ?>
              <?php if ($information['information_id'] == $catalog_config_account_id) { ?>
              <option value="<?php echo $information['information_id']; ?>" selected="selected"><?php echo $information['title']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $information['information_id']; ?>"><?php echo $information['title']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_checkout; ?></td>
          <td><select name="catalog_config_checkout_id">
              <option value="0"><?php echo $text_none; ?></option>
              <?php foreach ($informations as $information) { ?>
              <?php if ($information['information_id'] == $catalog_config_checkout_id) { ?>
              <option value="<?php echo $information['information_id']; ?>" selected="selected"><?php echo $information['title']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $information['information_id']; ?>"><?php echo $information['title']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td width="185"><?php echo $entry_config_session_expire; ?></td>
          <td><input type="text" name="global_config_session_expire" value="<?php echo $global_config_session_expire; ?>" /></td>
        </tr>
      </table>
    </div>
    <div id="tabs-6"> 
      <table>
        <tr>
          <td><?php echo $entry_email_send; ?></td>
          <td>
            <input type="radio" name="global_config_email_send" value="1" <?php if ($global_config_email_send) { ?>checked="checked"<?php } ?>>
            <?php echo $text_yes; ?>
            <input type="radio" name="global_config_email_send" value="0" <?php if (!$global_config_email_send) { ?>checked="checked"<?php } ?>>
            <?php echo $text_no; ?>
          </td>
        </tr>
        <tr>
          <td><?php echo $entry_email_authentication; ?></td>
          <td>
            <input type="radio" name="global_config_email_authentication" value="1" <?php if ($global_config_email_authentication) { ?>checked="checked"<?php } ?>>
            <?php echo $text_yes; ?>
            <input type="radio" name="global_config_email_authentication" value="0" <?php if (!$global_config_email_authentication) { ?>checked="checked"<?php } ?>>
            <?php echo $text_no; ?>
          </td>
        </tr>
        <tr>
          <td><?php echo $entry_email_send_order; ?></td>
          <td>
            <input type="radio" name="catalog_config_email_send_order" value="1" <?php if ($catalog_config_email_send_order) { ?>checked="checked"<?php } ?>>
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_email_send_order" value="0" <?php if (!$catalog_config_email_send_order) { ?>checked="checked"<?php } ?>>
            <?php echo $text_no; ?>
          </td>
        </tr>
        <tr>
          <td><?php echo $entry_email_send_account_create; ?></td>
          <td>
            <input type="radio" name="catalog_config_email_send_account_create" value="1" <?php if ($catalog_config_email_send_account_create) { ?>checked="checked"<?php } ?>>
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_email_send_account_create" value="0" <?php if (!$catalog_config_email_send_account_create) { ?>checked="checked"<?php } ?>>
            <?php echo $text_no; ?>
          </td>
        </tr>
      </table>
    </div>
    <div id="tabs-7">
      <table>
        <tr>
          <td><?php echo $entry_cache_query; ?></td>
          <td><?php if ($global_config_cache_query) { ?>
            <input type="radio" name="global_config_cache_query" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="global_config_cache_query" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="global_config_cache_query" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="global_config_cache_query" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
        <tr>
          <td width="185"><?php echo $entry_compress_output; ?></td>
          <td><?php if ($global_config_compress_output) { ?>
            <input type="radio" name="global_config_compress_output" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="global_config_compress_output" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="global_config_compress_output" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="global_config_compress_output" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_compress_level; ?></td>
          <td><input type="text" name="global_config_compress_level" value="<?php echo $global_config_compress_level; ?>" size="3" /></td>
        </tr>
      </table>
    </div>
    <div id="tabs-8">
      <table>
        <tr>
          <td width="185"><?php echo $entry_image_resize; ?></td>
          <td>
            <input type="radio" name="global_config_image_resize" value="1" <?php echo ($global_config_image_resize)?'checked="checked"':''?> />
            <?php echo $text_yes; ?>
            <input type="radio" name="global_config_image_resize" value="0" <?php echo (!$global_config_image_resize)?'checked="checked"':''?>/>
            <?php echo $text_no; ?>
			</td>
        </tr>
        <tr>
          <td><?php echo $entry_image_misc; ?></td>
          <td>
            <?php echo $entry_image_width; ?>
            <input type="text" name="global_config_image_width" value="<?php echo $global_config_image_width; ?>" size="3" />
          </td>
          <td>
            <?php echo $entry_image_height; ?>
            <input type="text" name="global_config_image_height" value="<?php echo $global_config_image_height; ?>" size="3" />
          </td>
        </tr>
        <tr>
          <td><?php echo $entry_image_product; ?></td>
          <td>
            <?php echo $entry_image_width; ?>
            <input type="text" name="catalog_config_image_width_product" value="<?php echo $catalog_config_image_width_product; ?>" size="3" />
          </td>
          <td>
            <?php echo $entry_image_height; ?>
            <input type="text" name="catalog_config_image_height_product" value="<?php echo $catalog_config_image_height_product; ?>" size="3" />
          </td>
        </tr>
        <tr>
          <td><?php echo $entry_image_category; ?></td>
          <td>
            <?php echo $entry_image_width; ?>
            <input type="text" name="catalog_config_image_width_category" value="<?php echo $catalog_config_image_width_category; ?>" size="3" />
          </td>
          <td>
            <?php echo $entry_image_height; ?>
            <input type="text" name="catalog_config_image_height_category" value="<?php echo $catalog_config_image_height_category; ?>" size="3" />
          </td>
        </tr>
        <tr>
          <td><?php echo $entry_image_images; ?></td>
          <td>
            <?php echo $entry_image_width; ?>
            <input type="text" name="catalog_config_image_width_images" value="<?php echo $catalog_config_image_width_images; ?>" size="3" />
          </td>
          <td>
            <?php echo $entry_image_height; ?>
            <input type="text" name="catalog_config_image_height_images" value="<?php echo $catalog_config_image_height_images; ?>" size="3" />
          </td>
        </tr>
        <tr>
          <td><?php echo $entry_image_related; ?></td>
          <td>
            <?php echo $entry_image_width; ?>
            <input type="text" name="catalog_config_image_width_related" value="<?php echo $catalog_config_image_width_related; ?>" size="3" />
          </td>
          <td>
            <?php echo $entry_image_height; ?>
            <input type="text" name="catalog_config_image_height_related" value="<?php echo $catalog_config_image_height_related; ?>" size="3" />
          </td>
        </tr>
      </table>
    </div>
    <div id="tabs-9">
      <table>
        <tr>
          <td width="185"><?php echo $entry_download; ?></td>
          <td><?php if ($catalog_config_download) { ?>
            <input type="radio" name="catalog_config_download" value="1" checked="checked" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_download" value="0" />
            <?php echo $text_no; ?>
            <?php } else { ?>
            <input type="radio" name="catalog_config_download" value="1" />
            <?php echo $text_yes; ?>
            <input type="radio" name="catalog_config_download" value="0" checked="checked" />
            <?php echo $text_no; ?>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_download_status; ?></td>
          <td><select name="catalog_config_download_status">
              <?php foreach ($order_statuses as $order_status) { ?>
              <?php if ($order_status['order_status_id'] == $catalog_config_download_status) { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
      </table>
    </div>
    <div id="tabs-10">
      <table>
	    <tr>
	      <td valign="top" width="185"><?php echo $entry_meta_keys; ?></td>
	      <td><textarea name="global_config_meta_keys_store" cols="100" rows="2"><?php echo $global_config_meta_keys_store; ?></textarea>
	    </tr>
	    <tr>
	      <td valign="top"><?php echo $entry_meta_description; ?></td>
	      <td><textarea name="global_config_meta_description_store" cols="100" rows="5"><?php echo $global_config_meta_description_store; ?></textarea>
	    </tr>
	  </table>
    </div>
  </div>
  <script type="text/javascript"><!--
	$(function() {
		$("#tabs").tabs();
	});
  //--></script>
  <script type="text/javascript"><!--
  $('#zone').load('index.php?controller=setting&action=zone&country_id=<?php echo $global_config_country_id; ?>&zone_id=<?php echo $global_config_zone_id; ?>');
  //--></script>
</form>
