<?php  
class ModuleFooter extends Controller {
	function fetch() {
		$config   =& $this->locator->get('config');
		$language =& $this->locator->get('language');
		$template =& $this->locator->get('template');
		
		if ($config->get('footer_status')) {	
			$language->load('extension/module/footer.php');
		
			$view = $this->locator->create('template');

			$view->set('tpl', $template);

			$view->set('year', date('Y'));

			$view->set('store', $config->get('config_store'));
		
			$view->set('text_powered_by', $language->get('text_powered_by'));

			return $view->fetch('module/footer.tpl');
		}
	}
}
?>
