<?php $tpl->addCSS('css/sitemap.css'); ?>

<h2><?php echo $heading_title; ?></h2>
<div id="sitemap">
  <div class="a">
    <ul>
      <?php	   
	  foreach ($categories as $category) {	
		if ($category['level'] == '0') {
		  $bullet = 'disc';
		  $margin = 0;
		} elseif ($category['level'] == '1') {
		  $bullet = 'circle';
		  $margin = 40;
		} elseif ($category['level'] > '1') {
		  $bullet = 'square';
		  $margin = ($category['level'] * 4) * 10;
		}
		$style="list-style-type: $bullet; margin-left: {$margin}px;";
		?>
		<li style="<?php echo $style?>"><a href="<?php echo $category['href']?>"><?php echo $category['name']?></a></li>
	<?php } ?>
    </ul>
  </div>
  <div class="b">
    <ul>
      <li><a href="<?php echo $account; ?>"><?php echo $text_account; ?></a>
        <ul>
          <li><a href="<?php echo $edit; ?>"><?php echo $text_edit; ?></a></li>
		  <li><a href="<?php echo $password; ?>"><?php echo $text_password; ?></a></li>
          <li><a href="<?php echo $address; ?>"><?php echo $text_address; ?></a></li>
          <li><a href="<?php echo $history; ?>"><?php echo $text_history; ?></a></li>
		  <li><a href="<?php echo $download; ?>"><?php echo $text_download; ?></a></li>
        </ul>
      </li>
      <li><a href="<?php echo $cart; ?>"><?php echo $text_cart; ?></a></li>
      <li><a href="<?php echo $checkout; ?>"><?php echo $text_checkout; ?></a></li>
      <li><a href="<?php echo $search; ?>"><?php echo $text_search; ?></a></li>
      <li><?php echo $text_information; ?>
        <ul>
          <?php foreach ($informations as $information) { ?>
          <li><a href="<?php echo $information['href']; ?>"><?php echo $information['title']; ?></a></li>
          <?php } ?>
          <li><a href="<?php echo $contact; ?>"><?php echo $text_contact; ?></a></li>
        </ul>
      </li>
    </ul>
  </div>
</div>
